summaryrefslogtreecommitdiffstats
path: root/system/whowatch
diff options
context:
space:
mode:
author Renato Martini <renato@renatomartini.net>2013-10-29 08:34:50 -0500
committer Robby Workman <rworkman@slackbuilds.org>2013-10-29 08:34:50 -0500
commit023f57bb35276f028693ac884e7ac5bd7ab9f023 (patch)
tree8d5184e8497756b5e988f88e3296d7514c120abe /system/whowatch
parent5cb7ea080752a8bccae5acffa120302b435932fd (diff)
downloadslackbuilds-023f57bb35276f028693ac884e7ac5bd7ab9f023.tar.gz
slackbuilds-023f57bb35276f028693ac884e7ac5bd7ab9f023.tar.xz
system/whowatch: Updated for version 1.6.1 (+newmaintainer)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/whowatch')
-rw-r--r--system/whowatch/process.diff12
-rw-r--r--system/whowatch/slack-desc12
-rw-r--r--system/whowatch/whowatch.SlackBuild28
-rw-r--r--system/whowatch/whowatch.info12
4 files changed, 23 insertions, 41 deletions
diff --git a/system/whowatch/process.diff b/system/whowatch/process.diff
deleted file mode 100644
index 8df00aced4..0000000000
--- a/system/whowatch/process.diff
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -ur whowatch-1.4-orig/process.c whowatch-1.4/process.c
---- whowatch-1.4-orig/process.c 2000-06-06 11:16:12.000000000 +0100
-+++ whowatch-1.4/process.c 2009-07-12 13:11:13.000000000 +0100
-@@ -74,7 +74,7 @@
- memset(z, 0, sizeof *z);
- check_line(l);
- z->line = l++;
-- (struct process *) p->priv = z;
-+ p->priv = z;
- z->proc = p;
- if (*current){
- z->next = *current;
diff --git a/system/whowatch/slack-desc b/system/whowatch/slack-desc
index aa2bc56e80..aa09ecd321 100644
--- a/system/whowatch/slack-desc
+++ b/system/whowatch/slack-desc
@@ -6,14 +6,14 @@
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-whowatch: Whowatch (see who's logged on).
+whowatch: Whowatch (interactive who-like program)
whowatch:
whowatch: Whowatch is an interactive who-like program that displays information
whowatch: about the users currently logged on to the machine, in real time.
whowatch: Besides standard informations (login name, tty, host, user's process),
-whowatch: the type of the connection (ie. telnet or ssh) is shown.
-whowatch: You can toggle display between users' command or idle time.
-whowatch: You can watch processes tree, navigate in it and send INT and KILL
-whowatch: signals.
+whowatch: the type of the connection (ie. telnet or ssh) is shown. You can
+whowatch: toggle display between users' command or idle time. You can watch
+whowatch: processes tree, navigate in it and send INT and KILL signals.
+whowatch:
+whowatch: Homepage: http://whowatch.sourceforge.net/
whowatch:
-whowatch: Homepage: http://www.pttk.ae.krakow.pl/~mike/
diff --git a/system/whowatch/whowatch.SlackBuild b/system/whowatch/whowatch.SlackBuild
index 12db61279d..679fb1a063 100644
--- a/system/whowatch/whowatch.SlackBuild
+++ b/system/whowatch/whowatch.SlackBuild
@@ -1,7 +1,9 @@
#!/bin/sh
-# Slackware build script for Whowatch
+# Slackware build script for whowatch
+
# Copyright 2009 David Woodfall <info@davidwoodfall.co.uk>
+# Copyright 2009-2012 Renato Martini, renatomartini.net, Brazil
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,16 +24,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=whowatch
-VERSION=${VERSION:-1.4}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.6.1}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -55,7 +55,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -63,17 +63,10 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-cat $CWD/process.diff | patch -p1
-
chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -83,14 +76,15 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-mkdir -p $PKG/usr/bin
-cp whowatch $PKG/usr/bin/.
+make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+gzip -9 $PKG/usr/man/man?/*.?
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp README COPYING KEYS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README NEWS PLUGINS.readme AUTHORS ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/whowatch/whowatch.info b/system/whowatch/whowatch.info
index 20bfc6078a..e2f22892a9 100644
--- a/system/whowatch/whowatch.info
+++ b/system/whowatch/whowatch.info
@@ -1,10 +1,10 @@
PRGNAM="whowatch"
-VERSION="1.4"
-HOMEPAGE="http://www.pttk.ae.krakow.pl/~mike/"
-DOWNLOAD="http://www.pttk.ae.krakow.pl/~mike/download/whowatch-1.4.tar.gz"
-MD5SUM="0870155e8b75b99f9954e76fb20f9528"
+VERSION="1.6.1"
+HOMEPAGE="http://whowatch.sourceforge.net/"
+DOWNLOAD="http://download.sourceforge.net/whowatch/whowatch-1.6.1.tar.gz"
+MD5SUM="6ed1e17df50746845c694a41c11e1765"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="David Woodfall"
-EMAIL="dave@unrealize.co.uk"
+MAINTAINER="Renato Martini"
+EMAIL="renato@renatomartini.net"